package com.xynet.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 营销活动项目表
 *
 * @author hechunping
 * @date 2025/01/15
 */
@Data
@Accessors(chain = true)
@TableName("marketing_project")
public class Project implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目编码
     */
    private String code;

    /**
     * 激活金额
     */
    private Integer activateAmount;

    /**
     * 介绍
     */
    private String intro;

    /**
     * 图标
     */
    private String icon;
}
